Summary:	Complete front-end for mplayer written in Qt
Name:		smplayer
Version:	18.2.2
Release:	1
Epoch:		1
License:	GPLv2+
Group:		Video
Url:		http://smplayer.sourceforge.net
Source0:	http://downloads.sourceforge.net/smplayer/%{name}-%{version}.tar.bz2
BuildRequires:	desktop-file-utils
BuildRequires:	qt5-linguist-tools
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Script)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
Requires:	mplayer
Suggests:	mpv
Suggests:	smplayer-themes
Suggests:	smtube
%rename		smplayer-qt4

%description
SMPlayer intends to be a complete front-end for MPlayer, from basic features
like playing videos, DVDs, and VCDs to more advanced features like support
for MPlayer filters and more.
One of the most interesting features of SMPlayer: it remembers the
settings of all files you play. So you start to watch a movie but you
have to leave... don't worry, when you open that movie again it will
resume at the same point you left it, and with the same settings:
audio track, subtitles, volume...
SMPlayer supports themes which can be found in smplayer-themes package.

%files
%doc Changelog *.txt
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/shortcuts
%dir %{_datadir}/%{name}/translations
%{_bindir}/%{name}
%{_bindir}/simple_web_server
%{_mandir}/man1/%{name}.*
%{_datadir}/%{name}/*.conf
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.svg
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/shortcuts/*
%lang(ar) %{_datadir}/%{name}/translations/smplayer_ar.qm
%lang(ar_SY) %{_datadir}/%{name}/translations/smplayer_ar_SY.qm
%lang(am) %{_datadir}/%{name}/translations/smplayer_am.qm
%lang(bg) %{_datadir}/%{name}/translations/smplayer_bg.qm
%lang(ca) %{_datadir}/%{name}/translations/smplayer_ca.qm
%lang(cs) %{_datadir}/%{name}/translations/smplayer_cs.qm
%lang(de) %{_datadir}/%{name}/translations/smplayer_de.qm
%lang(da) %{_datadir}/%{name}/translations/smplayer_da.qm
%lang(el) %{_datadir}/%{name}/translations/smplayer_el.qm
%lang(en) %{_datadir}/%{name}/translations/smplayer_en.qm
%lang(en) %{_datadir}/%{name}/translations/smplayer_en_GB.qm
%lang(en_US) %{_datadir}/%{name}/translations/smplayer_en_US.qm
%lang(es) %{_datadir}/%{name}/translations/smplayer_es.qm
%lang(et) %{_datadir}/%{name}/translations/smplayer_et.qm
%lang(eu) %{_datadir}/%{name}/translations/smplayer_eu.qm
%lang(fa) %{_datadir}/%{name}/translations/smplayer_fa.qm
%lang(fi) %{_datadir}/%{name}/translations/smplayer_fi.qm
%lang(fr) %{_datadir}/%{name}/translations/smplayer_fr.qm
%lang(gl) %{_datadir}/%{name}/translations/smplayer_gl.qm
%lang(he_IL) %{_datadir}/%{name}/translations/smplayer_he_IL.qm
%lang(hr) %{_datadir}/%{name}/translations/smplayer_hr.qm
%lang(hu) %{_datadir}/%{name}/translations/smplayer_hu.qm
%lang(id) %{_datadir}/%{name}/translations/smplayer_id.qm
%lang(it) %{_datadir}/%{name}/translations/smplayer_it.qm
%lang(ja) %{_datadir}/%{name}/translations/smplayer_ja.qm
%lang(ka) %{_datadir}/%{name}/translations/smplayer_ka.qm
%lang(ko) %{_datadir}/%{name}/translations/smplayer_ko.qm
%lang(ku) %{_datadir}/%{name}/translations/smplayer_ku.qm
%lang(lt) %{_datadir}/%{name}/translations/smplayer_lt.qm
%lang(mk) %{_datadir}/%{name}/translations/smplayer_mk.qm
%lang(nl) %{_datadir}/%{name}/translations/smplayer_nl.qm
%lang(nb_NO) %{_datadir}/%{name}/translations/smplayer_nb_NO.qm
%lang(nn_NO) %{_datadir}/%{name}/translations/smplayer_nn_NO.qm
%lang(pl) %{_datadir}/%{name}/translations/smplayer_pl.qm
%lang(pt) %{_datadir}/%{name}/translations/smplayer_pt.qm
%lang(pt_BR) %{_datadir}/%{name}/translations/smplayer_pt_BR.qm
%lang(ro_RO) %{_datadir}/%{name}/translations/smplayer_ro_RO.qm
%lang(ru_RU) %{_datadir}/%{name}/translations/smplayer_ru_RU.qm
%lang(sk) %{_datadir}/%{name}/translations/smplayer_sk.qm
%lang(sl) %{_datadir}/%{name}/translations/smplayer_sl_SI.qm
%lang(sr) %{_datadir}/%{name}/translations/smplayer_sr.qm
%lang(sv) %{_datadir}/%{name}/translations/smplayer_sv.qm
%lang(th) %{_datadir}/%{name}/translations/smplayer_th.qm
%lang(tr) %{_datadir}/%{name}/translations/smplayer_tr.qm
%lang(uk_UA) %{_datadir}/%{name}/translations/smplayer_uk_UA.qm
%lang(uz) %{_datadir}/%{name}/translations/smplayer_uz.qm
%lang(vi) %{_datadir}/%{name}/translations/smplayer_vi_VN.qm
%lang(zh_CN) %{_datadir}/%{name}/translations/smplayer_zh_CN.qm
%lang(zh_TW) %{_datadir}/%{name}/translations/smplayer_zh_TW.qm
%lang(ms_MY) %{_datadir}/%{name}/translations/smplayer_ms_MY.qm
%lang(sq_AL) %{_datadir}/%{name}/translations/smplayer_sq_AL.qm

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%setup_compile_flags
%make \
	PREFIX=%{_prefix} \
	QMAKE=qmake-qt5 \
	LRELEASE=lrelease-qt5 \
	'DOC_PATH=\"%{_docdir}/%{name}\"'


%install
%makeinstall_std \
	PREFIX=%{_prefix}

# Allow html docs
mv %{buildroot}%{_docdir}/packages/%{name} %{buildroot}%{_docdir}/%{name}
rm -fr %{buildroot}%{_docdir}/packages

%changelog
